Subject: Ticket Assigned - Feedback or suggestions
From: Splash <[email-masked]>
To: [email-masked]
Date: Fri, 05 Mar 2021 05:46:28 +0000

Hi Juhi Goel,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Feedback or suggestions I am writing today to complain of the Worst Customer Service i received at the Splash Fashion Store near Jubail Park, Sharjah. I faced a very bad experience by a representative of Splash Fashion, Mr. Jaffar Ali at the store today.

I had bought a product yesterday evening 03.03.2021 as it was almost store closing time i billed out in a hurry. Later, i checked out that the product had a manufacturing defect denim lengths were uneven had a difference of 1.5 inches. I immediately went to the store the very next day and interected with the representative Mr. Jaffar Ali and explained him the issue. But, rather than accepting the issue, i was informed that Splash Fashion make such uneven length denims purposely so that they are altered afterwards. I totally did not accept that kind of reply. 
Even after i repeatedly tried to explain him the issue with cross checking the other denims he refused to accept the same by saying , "Boss if you ask me again i will say the same thing thousand times, go ahead and complain if you can."

I trust this is not the way Splash Fashion / Landmark Group wishes to conduct business at their stores. I have been a very loyal customer to the brand and have never encountered such WORST Customer Service before. I welcome the opportunity to discuss matter further and to learn how you propose to prevent a similar situation from recurring with other fellow buyers. I look forward to hearing from Landmark Group.

Yours Faithfully.

P.S : Also, i wanted to raise the issue with Store Manager first Mr. Sumit but he wasn't available at the moment and the same guy Mr. Jaffar Ali lied to me that he himself was the The Store Manager. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/2190250